Skip to content
API Reference

Retrieve

organizations.users.retrieve(struser_id, UserRetrieveParams**kwargs) -> OrganizationUser
GET/organizations/{organization_id}/users/{user_id}

Get a specific user in an organization

ParametersExpand Collapse
organization_id: str

Organization ID or label identifier

minLength1
maxLength255
user_id: str

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
expand: Optional[List[Literal["permissions", "total_count"]]]

Fields to expand in the response. Supports "permissions" to include the permissions field with the caller's permissions for the resource. For list organization identities only, "total_count" populates pagination.total_count with the number of identities matching the same filters as the list (excluding cursor and limit). Other operations ignore expand values they do not use.

Accepts one of the following:
"permissions"
"total_count"
x_client_request_id: Optional[str]
formatuuid
ReturnsExpand Collapse
class OrganizationUser:
id: str

The keycard account ID

minLength1
maxLength255
created_at: datetime

The time the entity was created in utc

formatdate-time

User's role in the organization

Accepts one of the following:
"org_admin"
"org_member"
"org_viewer"
source: str

Identity provider issuer

formaturi

Status of organization membership

Accepts one of the following:
"active"
"disabled"
updated_at: datetime

The time the entity was mostly recently updated in utc

formatdate-time
email: Optional[str]

User email address

formatemail
permissions: Optional[Dict[str, Dict[str, bool]]]

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

Retrieve

from keycardai_api import KeycardAPI

client = KeycardAPI()
organization_user = client.organizations.users.retrieve(
    user_id="ab3def8hij2klm9opq5rst7uvw",
    organization_id="x",
)
print(organization_user.id)
{
  "id": "ab3def8hij2klm9opq5rst7uvw",
  "created_at": "2019-12-27T18:11:19.117Z",
  "role": "org_admin",
  "source": "https://example.com",
  "status": "active",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "email": "dev@stainless.com",
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}
Returns Examples
{
  "id": "ab3def8hij2klm9opq5rst7uvw",
  "created_at": "2019-12-27T18:11:19.117Z",
  "role": "org_admin",
  "source": "https://example.com",
  "status": "active",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "email": "dev@stainless.com",
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}